from pygame import *
import pygame
pygame.K_a
class Controls:
    def __init__(self):
        self.a=False #0
        self.b=False #1
        self.c=False #2
        self.ahit=False #0
        self.bhit=False #1
        self.chit=False #2
        self.up=False #3 
        self.down=False #4
        self.left=False #5
        self.right=False #6

        self.keymap={K_a:0,K_s:1,K_d:3,
                     K_UP:3,K_DOWN:4,K_LEFT:5,K_RIGHT:6}
                    
    def update(self,event):
        self.a=False #0
        self.b=False #1
        self.c=False #2
        self.ahit=False #0
        self.bhit=False #1
        self.chit=False #2
        self.up=False #3 
        self.down=False #4
        self.left=False #5
        self.right=False #6
        for k in self.keymap:
            if pygame.key.get_pressed()[k]:
                button=self.keymap[k]
                if button == 0:
                    self.a=True
                if button == 1:
                    self.b=True
                if button == 2:
                    self.c=True
                if button == 3:
                    self.up=True
                if button == 4:
                    self.down=True
                if button == 5:
                    self.left=True
                if button == 6:
                    self.right=True
        for ev in event:
            if ev.type==KEYDOWN:
                if ev.key in self.keymap:
                    button=self.keymap[ev.key]
                    if button == 0:
                        self.ahit=True
                    if button == 1:
                        self.bhit=True
                    if button == 2:
                        self.chit=True